---
title: "Get order payment"
description: "Retrieves a list of transactions."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/transaction-list/get-order-payment'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/transaction-list/get-order-payment.md'
---
# Retrieves a list of transactions

Retrieves a list of transactions.

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
GET /orders/:order_seq/transactions.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_orders`

## Request

### Path Parameters

* `order_seq`

  string (required)

  Order number

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `transactions`

  array<object>

  Transaction list

  * `order_id`

    string

    Order id

  * `gateway`

    string

    Payment gateway

  * `id`

    string

    Transaction single id

  * `payment_details`

    object

    Payment details

    * `credit_card_number`

      string

      Leather card number for leather credit card

    * `credit_card_bin`

      string

      Credit card bin

    * `credit_card_brand`

      string

      Credit card brand

    * `credit_card_expire_month`

      string

      Month of credit card expiration

    * `credit_card_expire_year`

      string

      Credit card expiration Vintage

  * `receipt`

    map

    Bottom channel document information

  * `status_code`

    string

    payment status code

  * `amount`

    string

    Amount

  * `kind`

    string

    Type : sale

  * `error_msg`

    string

    Payment failure information

  * `status`

    string

    Status : create、pending、failure、success

  * `status_msg`

    string

    Payment status code description

  * `currency`

    string

    Currency

  * `error_code`

    string

    Payment failure reason encoding


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Retrieves a list of transactions.",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_orders` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "ZLVQayBi",
  "parameters": [
    {
      "name": "order_seq",
      "in": "path",
      "description": "Order number",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "order_seq",
        "description": "Order number",
        "type": "string",
        "example": ""
      },
      "example": ""
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "transactions": {
                "name": "transactions",
                "description": "Transaction list",
                "type": "array",
                "items": {
                  "name": "transactions",
                  "description": "Transaction list",
                  "type": "object",
                  "properties": {
                    "order_id": {
                      "name": "order_id",
                      "description": "Order id",
                      "type": "string",
                      "example": "21058445753566033850608114"
                    },
                    "gateway": {
                      "name": "gateway",
                      "description": "Payment gateway",
                      "type": "string",
                      "example": "Pacypay"
                    },
                    "id": {
                      "name": "id",
                      "description": "Transaction single id",
                      "type": "string",
                      "example": "23058445753584153243898114"
                    },
                    "payment_details": {
                      "name": "payment_details",
                      "description": "Payment details",
                      "type": "object",
                      "properties": {
                        "credit_card_number": {
                          "name": "credit_card_number",
                          "description": "Leather card number for leather credit card",
                          "type": "string",
                          "example": "471110******0000"
                        },
                        "credit_card_bin": {
                          "name": "credit_card_bin",
                          "description": "Credit card bin",
                          "type": "string",
                          "example": "471110"
                        },
                        "credit_card_brand": {
                          "name": "credit_card_brand",
                          "description": "Credit card brand",
                          "type": "string",
                          "example": "visa"
                        },
                        "credit_card_expire_month": {
                          "name": "credit_card_expire_month",
                          "description": "Month of credit card expiration",
                          "type": "string",
                          "example": "12"
                        },
                        "credit_card_expire_year": {
                          "name": "credit_card_expire_year",
                          "description": "Credit card expiration Vintage",
                          "type": "string",
                          "example": "30"
                        }
                      },
                      "example": {
                        "credit_card_expire_month": "12",
                        "credit_card_expire_year": "30",
                        "credit_card_number": "471110******0000",
                        "credit_card_bin": "471110",
                        "credit_card_brand": "visa"
                      }
                    },
                    "receipt": {
                      "name": "receipt",
                      "description": "Bottom channel document information",
                      "type": "map",
                      "example": {}
                    },
                    "status_code": {
                      "name": "status_code",
                      "description": "payment status code",
                      "type": "string",
                      "example": "RISK_PENDING"
                    },
                    "amount": {
                      "name": "amount",
                      "description": "Amount",
                      "type": "string",
                      "example": "101.0"
                    },
                    "kind": {
                      "name": "kind",
                      "description": "Type : sale",
                      "type": "string",
                      "example": "sale"
                    },
                    "error_msg": {
                      "name": "error_msg",
                      "description": "Payment failure information",
                      "type": "string",
                      "example": "not error"
                    },
                    "status": {
                      "name": "status",
                      "description": "Status : create、pending、failure、success",
                      "type": "string",
                      "example": "success"
                    },
                    "status_msg": {
                      "name": "status_msg",
                      "description": "Payment status code description",
                      "type": "string",
                      "example": "PENDING_REVIEW"
                    },
                    "currency": {
                      "name": "currency",
                      "description": "Currency",
                      "type": "string",
                      "example": "TWD"
                    },
                    "error_code": {
                      "name": "error_code",
                      "description": "Payment failure reason encoding",
                      "type": "string",
                      "example": "success"
                    }
                  },
                  "example": {
                    "error_code": "success",
                    "amount": "101.0",
                    "payment_details": {
                      "credit_card_expire_month": "12",
                      "credit_card_expire_year": "30",
                      "credit_card_number": "471110******0000",
                      "credit_card_bin": "471110",
                      "credit_card_brand": "visa"
                    },
                    "status": "success",
                    "id": "23058445753584153243898114",
                    "status_code": "RISK_PENDING",
                    "error_msg": "not error",
                    "order_id": "21058445753566033850608114",
                    "gateway": "Pacypay",
                    "receipt": {},
                    "kind": "sale",
                    "status_msg": "PENDING_REVIEW",
                    "currency": "TWD"
                  }
                },
                "example": [
                  {
                    "currency": "TWD",
                    "error_msg": "not error",
                    "kind": "sale",
                    "payment_details": {
                      "credit_card_bin": "471110",
                      "credit_card_brand": "visa",
                      "credit_card_expire_month": "12",
                      "credit_card_expire_year": "30",
                      "credit_card_number": "471110******0000"
                    },
                    "receipt": {},
                    "gateway": "Pacypay",
                    "status_msg": "PENDING_REVIEW",
                    "id": "23058445753584153243898114",
                    "status_code": "RISK_PENDING",
                    "amount": "101.0",
                    "error_code": "success",
                    "status": "success",
                    "order_id": "21058445753566033850608114"
                  }
                ]
              }
            },
            "example": {
              "transactions": [
                {
                  "status_code": "RISK_PENDING",
                  "receipt": {},
                  "amount": "101.0",
                  "error_code": "success",
                  "status_msg": "PENDING_REVIEW",
                  "id": "23058445753584153243898114",
                  "payment_details": {
                    "credit_card_brand": "visa",
                    "credit_card_expire_month": "12",
                    "credit_card_expire_year": "30",
                    "credit_card_number": "471110******0000",
                    "credit_card_bin": "471110"
                  },
                  "currency": "TWD",
                  "order_id": "21058445753566033850608114",
                  "error_msg": "not error",
                  "gateway": "Pacypay",
                  "status": "success",
                  "kind": "sale"
                }
              ]
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "get",
  "path": "/orders/:order_seq/transactions.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Retrieves a list of transactions",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_orders"
  ]
}
```